with GNATCOM.Dispinterface;

package MSHTML.IHTMLFramesCollection2_Interface is

   type IHTMLFramesCollection2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLFramesCollection2_Type);

   function Pointer (This : IHTMLFramesCollection2_Type)
     return Pointer_To_IHTMLFramesCollection2;

   procedure Attach (This    : in out IHTMLFramesCollection2_Type;
                     Pointer : in     Pointer_To_IHTMLFramesCollection2);

   function item
     (This       : IHTMLFramesCollection2_Type;
      pvarIndex  : access GNATCOM.Types.VARIANT :=
        GNATCOM.Types.PVARIANT_MISSING)
     return GNATCOM.Types.VARIANT;

   function Get_length
     (This : IHTMLFramesCollection2_Type)
     return Interfaces.C.long;

end MSHTML.IHTMLFramesCollection2_Interface;

